BuildRequires: gcc-c++
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		mnemosyne
Summary:	Flash-card learning tool
Version:	1.2.2
Release:	alt1_4
URL:		http://www.mnemosyne-proj.org/
Source0:	http://downloads.sourceforge.net/sourceforge/mnemosyne-proj/%{name}-%{version}.tgz
Patch0:		%{name}-desktop.patch
License:	GPLv2+
Group:		Games/Other
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools
BuildArch:	noarch
Requires:	icon-theme-hicolor
Requires:	pygame
Requires:	python-module-PyQt4
Requires:	python-module-imaging
Source44: import.info

%description
Mnemosyne resembles a traditional flash-card program but with an
important twist: it uses a sophisticated algorithm to schedule the best
time for a card to come up for review.

Optional dependencies:
* latex: enables entering formulas using latex syntax.

%prep
%setup -q
%patch0 -p1 -b .d

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{name}.desktop

install -d %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps
pushd %{buildroot}/%{_datadir}/icons
mv %{name}.png hicolor/128x128/apps/%{name}.png
popd

%files
%doc AUTHORS ChangeLog LICENSE README
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/Mnemosyne-%{version}-*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Thu Feb 17 2011 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_4
- converted from Fedora by srpmconvert script

